AbstractTrigger (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.ext.AbstractTrigger class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.ext
Class AbstractTrigger

    java.lang.Object
      org.hyperic.hq.events.ext.AbstractTrigger

All Implemented Interfaces:
  RegisterableTriggerInterface, TriggerInterface

Direct Known Subclasses:
  AlertTrigger, ConfigChangedTrigger, ControlEventTrigger, CustomPropertyTrigger, LogEventTrigger, MeasurementThresholdTrigger, ValueChangeTrigger

    public abstract class AbstractTrigger

extends java.lang.Object
implements TriggerInterface, RegisterableTriggerInterface

Abstract class that defines a trigger, which can fire actions

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Constructor Summary
`AbstractTrigger()`

Method Summary
`protected void` | `fireActions(TriggerFiredEvent event)`
`java.lang.Integer` | `getId()` Retrieve the trigger id.
`boolean` | `isEnabled()`
`protected void` | `notFired(AbstractEvent nonFiringEvent)`
`protected TriggerFiredEvent` | `prepareTriggerFiredEvent(AbstractEvent source)`
`protected TriggerFiredEvent` | `prepareTriggerFiredEvent(AbstractEvent[] sources)`
`void` | `setAlertConditionEvaluator(AlertConditionEvaluator alertConditionEvaluator)`
`void` | `setEnabled(boolean enabled)`
`void` | `setId(java.lang.Integer id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.events.TriggerInterface
`processEvent`

Methods inherited from interface org.hyperic.hq.events.ext.RegisterableTriggerInterface
`getConfigSchema, getInterestedEventTypes, getInterestedInstanceIDs, init`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

Constructor Detail

### AbstractTrigger

    public AbstractTrigger()

Method Detail

### fireActions

    protected final void fireActions(TriggerFiredEvent event)

### getId

    public java.lang.Integer getId()

  Description copied from interface: `TriggerInterface`
  Retrieve the trigger id.

  Specified by:
    `getId` in interface `RegisterableTriggerInterface`
  Specified by:
    `getId` in interface `TriggerInterface`
  Returns:
    The ID of this trigger

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `RegisterableTriggerInterface`
  Returns:
    true if the trigger is enabled, likely meaning its associated alert definition is enabled

### notFired

    protected final void notFired(AbstractEvent nonFiringEvent)

### prepareTriggerFiredEvent

    protected TriggerFiredEvent prepareTriggerFiredEvent(AbstractEvent source)

### prepareTriggerFiredEvent

    protected TriggerFiredEvent prepareTriggerFiredEvent(AbstractEvent[] sources)

### setAlertConditionEvaluator

    public void setAlertConditionEvaluator(AlertConditionEvaluator alertConditionEvaluator)

### setEnabled

    public void setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `RegisterableTriggerInterface`
  Parameters:
    `enabled` - true to enable the trigger for event processing, false otherwise. This state will likely match the enabled state of the trigger's associated alert definition

### setId

    public void setId(java.lang.Integer id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.